<?php

$wp_customize->add_panel(
	'lz_fitness_general_panel',
	array(
		'priority' => 19,
		'title' => __('General Configuration', 'Luzuk Premium')
	)
);
//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
	'title' => __( 'Static Front Page', 'Luzuk Premium' ),
	'panel' => 'lz_fitness_general_panel',
	'description' => __( 'Your theme supports a static front page.', 'Luzuk Premium'),
) );

//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
	'title' => __( 'Site Logo/Title/Tagline', 'Luzuk Premium' ),
	'panel' => 'lz_fitness_general_panel',
) );

addColorPalatOption($wp_customize, 'header_sitetaglineColor', 'title_tagline', 'Site Tagline color', '#7d52fc');




lzCustomLable($wp_customize, 'header_logoboxpositionsettings', 'title_tagline', 'Set Logo  Position from top');
 
$wp_customize->add_setting(
	'pages_logoboxtoppostionset',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '0px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_logoboxtoppostionset',
	array(
		'settings'      => 'pages_logoboxtoppostionset',
		'section'       => 'title_tagline',
		'type'          => 'text',
		'label'         => __( 'Top', 'Luzuk' )
	)
);



$wp_customize->add_setting(
    'pages_logoTopsetmaxwidth',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '100', 'Unbox' )
    )
);
$wp_customize->add_control(
    'pages_logoTopsetmaxwidth',
    array(
        'settings'      => 'pages_logoTopsetmaxwidth',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Set Logo Max Width', 'Unbox' )
    )
);

//BACKGROUND IMAGE
$wp_customize->add_section( 'background_image', array(
	'title' => __( 'Background Image Setting', 'Luzuk Premium' ),
	'panel' => 'lz_fitness_general_panel',
) );

//Header IMAGE
$wp_customize->add_section( 'header_image', array(
	'title' => __( 'Header Image', 'Luzuk Premium' ),
	'panel' => 'lz_fitness_general_panel',
) );

//HEADER SETTINGS
$wp_customize->add_section(
	'header_settings',
	array(
		'title' => __( 'Header Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);
$sectionHeader = 'header_settings';




lzCustomLable($wp_customize, 'header_bottpadsettings', $sectionHeader, 'Set Top Header Padding');

$wp_customize->add_setting(
	'pages_BottomHeaderTpadding',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '7px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_BottomHeaderTpadding',
	array(
		'settings'      => 'pages_BottomHeaderTpadding',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Top Padding', 'Luzuk' )
	)
);
$wp_customize->add_setting(
	'pages_BottomHeaderBpadding',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '10px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_BottomHeaderBpadding',
	array(
		'settings'      => 'pages_BottomHeaderBpadding',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Bottom Padding', 'Luzuk' )
	)
);

$wp_customize->add_setting(
	'pages_BottomHeaderLpadding',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '00px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_BottomHeaderLpadding',
	array(
		'settings'      => 'pages_BottomHeaderLpadding',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Left Padding', 'Luzuk' )
	)
);
$wp_customize->add_setting(
	'pages_BottomHeaderRpadding',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '00px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_BottomHeaderRpadding',
	array(
		'settings'      => 'pages_BottomHeaderRpadding',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Right Padding', 'Luzuk' )
	)
);
addColorPalatOption($wp_customize, 'header_bottomheaderbgssColor', 'header_settings', 'Top Header Background color', '#2b2b2b');



addColorPalatOption($wp_customize, 'header_topmenusColor', 'header_settings', 'Header Menus color', '#ffffff');
addColorPalatOption($wp_customize, 'header_topmenushoverColor', 'header_settings', 'Header Menus Hover color', '#7d51fc');
addColorPalatOption($wp_customize, 'header_topmenushoverbrssColor', 'header_settings', 'Header Menus Hover Border color', '#7d51fc');


addColorPalatOption($wp_customize, 'header_activeheademenusColor', 'header_settings', 'Active Menu color', '#ffffff');
addColorPalatOption($wp_customize, 'header_topsubmenusbackgroundColor', 'header_settings', 'Header Dropdown Background color', '#7d51fc');


addColorPalatOption($wp_customize, 'header_topsubmenusColor', 'header_settings', 'Header Sub Menus color', '#ffffff');
addColorPalatOption($wp_customize, 'header_topsubmenushvrColor', 'header_settings', 'Header Sub Menu Hover color', '#ffffff');

//addColorPalatOption($wp_customize, 'header_topsubmenusbgsshvrColor', 'header_settings', 'Header Sub Menu Hover background color', '#2b2b2b');
addColorPalatOption($wp_customize, 'header_topsubmenusbgsshvrBorderColor', 'header_settings', 'Header Sub Menu Hover Border color', '#ffffff');

addColorPalatOption($wp_customize, 'header_activesubmenuColor', 'header_settings', 'Header Active Sub Menu color', '#2b2b2b');


lzCustomLable($wp_customize, 'header_toppadsettings', $sectionHeader, 'Set Bottom Header Padding');

$wp_customize->add_setting(
	'pages_logoTpadding',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '10px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_logoTpadding',
	array(
		'settings'      => 'pages_logoTpadding',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Top Padding', 'Luzuk' )
	)
);
$wp_customize->add_setting(
	'pages_logoBpadding',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '20px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_logoBpadding',
	array(
		'settings'      => 'pages_logoBpadding',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Bottom Padding', 'Luzuk' )
	)
);

$wp_customize->add_setting(
	'pages_logoLpadding',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '00px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_logoLpadding',
	array(
		'settings'      => 'pages_logoLpadding',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Left Padding', 'Luzuk' )
	)
);
$wp_customize->add_setting(
	'pages_logoRpadding',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '00px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_logoRpadding',
	array(
		'settings'      => 'pages_logoRpadding',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Right Padding', 'Luzuk' )
	)
);
addColorPalatOption($wp_customize, 'header_topheaderbgsscColor', 'header_settings', 'Bottom Header Background Color', '#ffffff');




// Adding the Label
lzCustomLable($wp_customize, 'header_lblsocialtxt', $sectionHeader, 'Add Social Media Links');


// FACEBOOK 
$wp_customize->add_setting('header_fb',	array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('header_fb',
	array(
		'settings'      => 'header_fb',
		'section'       => 'header_settings',
		'type'          => 'url',
		'label'         => __( 'Add Facebook Url Here', 'Luzuk' )
	)
);
addColorPalatOption($wp_customize, 'HeaderFbSocialsColor', 'header_settings', 'Facebook Social color', '#395b98');
addColorPalatOption($wp_customize, 'HeaderFbSocialsBgssColor', 'header_settings', 'Facebook Social Background color', '#ffffff');
addColorPalatOption($wp_customize, 'HeaderFbSocialsBorderColor', 'header_settings', 'Facebook Social Border color', '#e9e9e9');
addColorPalatOption($wp_customize, 'HeaderFbSocialsHvrssColor', 'header_settings', 'Facebook Social Hover color', '#ffffff');
addColorPalatOption($wp_customize, 'HeaderFbSocialsHoverColor', 'header_settings', 'Facebook Social Hover Background color', '#3b5998');



// TWITTER
$wp_customize->add_setting('header_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('header_tw',
	array(
		'settings'      => 'header_tw',
		'section'       => 'header_settings',
		'type'          => 'url',
		'label'         => __( 'Add Twitter Url Here', 'Luzuk' )
	)
);
addColorPalatOption($wp_customize, 'HeaderTwitterSocialsColor', 'header_settings', 'Twitter Social color', '#24a5ef');
addColorPalatOption($wp_customize, 'HeaderTwitterSocialsBgssColor', 'header_settings', 'Twitter Social Background color', '#ffffff');
addColorPalatOption($wp_customize, 'HeaderTwitterSocialsBorderColor', 'header_settings', 'Twitter Social Border color', '#e9e9e9');
addColorPalatOption($wp_customize, 'HeaderTwitterSocialsHvrssColor', 'header_settings', 'Twitter Social Hover color', '#ffffff');
addColorPalatOption($wp_customize, 'HeaderTwSocialsHoverColor', 'header_settings', 'Twitter Social Hover Background color', '#24a5ef');

// Linkedin
$wp_customize->add_setting('header_li', array('default' => 'https://www.linkedin.com/', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('header_li',
	array(
		'settings'      => 'header_li',
		'section'       => 'header_settings',
		'type'          => 'url',
		'label'         => __( 'Add linkedin Url Here', 'tattooexpert' )
	)
); 
addColorPalatOption($wp_customize, 'HeaderLinkedinSocialsColor', 'header_settings', 'Linkedin Social color', '#0c82bc');
addColorPalatOption($wp_customize, 'HeaderLinkedinSocialsBgssColor', 'header_settings', 'Linkedin Social Background color', '#ffffff');
addColorPalatOption($wp_customize, 'HeaderLinkedinSocialsBorderColor', 'header_settings', 'Linkedin Social Border color', '#e9e9e9');
addColorPalatOption($wp_customize, 'HeaderLinkedinSocialsHvrssColor', 'header_settings', 'Linkedin Social Hover color', '#ffffff');
addColorPalatOption($wp_customize, 'HeaderLinSocialsHoverColor', 'header_settings', 'Linkedin Social Hover Background color', '#0077B5');
// Youtube
$wp_customize->add_setting('header_youtube', array('default' => 'https://www.youtube.com/', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('header_youtube',
	array(
		'settings'      => 'header_youtube',
		'section'       => 'header_settings',
		'type'          => 'url',
		'label'         => __( 'Add Youtube Url Here', 'tattooexpert' )
	)
); 
addColorPalatOption($wp_customize, 'HeaderYoutubeSocialsColor', 'header_settings', 'Youtube Social color', '#dc4a38');
addColorPalatOption($wp_customize, 'HeaderYoutubeSocialsBgssColor', 'header_settings', 'Youtube Social Background color', '#ffffff');
addColorPalatOption($wp_customize, 'HeaderYoutubeSocialsBorderColor', 'header_settings', 'Youtube Social Border color', '#e9e9e9');
addColorPalatOption($wp_customize, 'HeaderYoutubeSocialsHvrssColor', 'header_settings', 'Youtube Social Hover color', '#ffffff');
addColorPalatOption($wp_customize, 'HeaderYouSocialsHoverColor', 'header_settings', 'Youtube Social Hover Background color', '#dc4a38');



lzCustomLable($wp_customize, 'headersearch_button_display', 'header_settings', 'Search Box Display');
// to show & hide another button
$wp_customize->add_setting( 'headersearch_button' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'headersearch_button', array( 'label' => 'Search Box Display', 'section' => 'header_settings', 'settings' => 'headersearch_button', 'type' => 'radio', 'choices' => array( 'show' => 'Show Search Box', 'hide' => 'Hide Search Box', ), ) ); 
// end to show & hide button

addColorPalatOption($wp_customize, 'HeaderSearchBorderColor', 'header_settings', 'Search Box Border Color', '#e6e6e6');
addColorPalatOption($wp_customize, 'HeaderSearchHvrBackgroundColor', 'header_settings', 'Search Box Hover Background Color', '#ededed');
addColorPalatOption($wp_customize, 'HeaderSearchTextndPlaceTxtColor', 'header_settings', 'Search Box Placeholder Text Color', '#b7b7b7');
addColorPalatOption($wp_customize, 'HeaderSearchIconColor', 'header_settings', 'Search Icon Color', '#272727');



lzCustomLable($wp_customize, 'header_colorsfortabandmobview', $sectionHeader, 'Colors For Tablet & Mobile View');

addColorPalatOption($wp_customize, 'header_respnavbsbgssColor', 'header_settings', 'Set Navigation Box Background Color for Tablet and Mobile View', '#673be6');

addColorPalatOption($wp_customize, 'header_activemenubgsscColor', 'header_settings', 'Socials & Search Box Background color for Tablet and Mobile View', '#ffffff');

addColorPalatOption($wp_customize, 'header_respnavtoggbarbgssColor', 'header_settings', 'Toggole Bar color for Tablet and Mobile View', '#673be6');
//addColorPalatOption($wp_customize, 'lz_fitness_header_respnavtoggbaractivebgssColor', 'header_settings', 'Active Toggole Bar color for Tablet and Mobile View', '#ff7c4e');

addColorPalatOption($wp_customize, 'header_headerresponbgsclr', 'header_settings', 'Header Background color for Tablet and Mobile View', '#ffffff');


//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
	'title' => __( 'Colors' , 'Luzuk Premium'),
	'panel' => 'lz_fitness_general_panel',
) );

    $wp_customize->add_setting('luzuk_premium_color_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'luzuk_premium_color_section_lbl',
        array(
            'settings'      => 'luzuk_premium_color_section_lbl',
            'section'       => 'colors',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);


//BREADCRUMB SETTINGS
$wp_customize->add_section(
	'lz_fitness_breadcrumb_settings',
	array(
		'title' => __( 'Breadcrumb Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

//for breadcrumb to show & hide button

$wp_customize->add_setting( 'breadcrumb_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'breadcrumb_button_display', array( 'label' => 'Breadcrumb Display', 'section' => 'lz_fitness_breadcrumb_settings', 'settings' => 'breadcrumb_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Breadcrumb', 'hide' => 'Hide Breadcrumb', ), ) ); 

$wp_customize->add_setting(
        'lz_fitness_breadcrumbhometxt',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'Home', 'luzuk' )
        )
    );
    $wp_customize->add_control(
        'lz_fitness_breadcrumbhometxt',
        array(
            'settings'      => 'lz_fitness_breadcrumbhometxt',
            'section'       => 'lz_fitness_breadcrumb_settings',
            'type'          => 'text',
            'label'         => __( 'Add Breadcrumb Text Here:', 'luzuk' )
        )
    );

//Inner page breadcrumbbox title color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_breadcrumbtitlecolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox title color', '#000');
//Inner page breadcrumbbox current title color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_breadcrumbcurrenttitlecolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox current title color', '#7d51fc');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_breadcrumbcurrenttitlehovercolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox current title hover color', '#121212');

//Inner page breadcrumbbox background color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_breadcrumbbgcolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox background color', '#fff');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_breadcrumbbgbordercolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox border color', '#ccc');

// end to show & hide button

//POSTPAGEDATE SETTINGS
$wp_customize->add_section(
	'lz_fitness_postpagedate_settings',
	array(
		'title' => __( 'Postpage Date display & Socials Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

   $wp_customize->add_setting('luzuk_premium_postpage_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'luzuk_premium_postpage_section_lbl',
        array(
            'settings'      => 'luzuk_premium_postpage_section_lbl',
            'section'       => 'lz_fitness_postpagedate_settings',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);


//FOOTER COPYRIGHT SETTINGS
$wp_customize->add_section(
	'footer_copyright_settings',
	array(
		'title' => __( 'Footer Copyright Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);




lzCustomLable($wp_customize, 'footerpadding_lbl', 'footer_copyright_settings', 'Set Padding For Top Footer:');

$wp_customize->add_setting(
    'sec_FooterTpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '80px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'sec_FooterTpadding',
    array(
        'settings'      => 'sec_FooterTpadding',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'sec_FooterBpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '60px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'sec_FooterBpadding',
    array(
        'settings'      => 'sec_FooterBpadding',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'sec_FooterLpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'sec_FooterLpadding',
    array(
        'settings'      => 'sec_FooterLpadding',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Left Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'sec_FooterRpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'sec_FooterRpadding',
    array(
        'settings'      => 'sec_FooterRpadding',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Right Padding', 'Luzuk' )
    )
);
backgroundManager($wp_customize, 'footer', 'footer_copyright_settings', $color='#000000');




//theme Footer title Color
addColorPalatOption($wp_customize, 'footer_title_color', 'footer_copyright_settings', 'Footer Title Color', '#f6f6f6');

//theme Footer icon Color
addColorPalatOption($wp_customize, 'footer_icon_color', 'footer_copyright_settings', 'Footer Icon Color', '#f6f6f6');
//theme Footer icon hover Color
addColorPalatOption($wp_customize, 'footer_iconhover_color', 'footer_copyright_settings', 'Footer Icon Hover Color', '#7c52fb');

//theme Footer text Color
addColorPalatOption($wp_customize, 'footer_text_color', 'footer_copyright_settings', 'Footer Text Color', '#ababab');
addColorPalatOption($wp_customize, 'footer_hglightsctext_color', 'footer_copyright_settings', 'Footer Hightlight Text Color', '#f6f6f6');

//theme Footer menu Color
addColorPalatOption($wp_customize, 'footer_menuicon_color', 'footer_copyright_settings', 'Footer Menu Icon & Count Text Color', '#c0c0c0');
addColorPalatOption($wp_customize, 'footer_menuiconhvr_color', 'footer_copyright_settings', 'Footer Menu Icon & Count Text Hover Color', '#ffffff');

addColorPalatOption($wp_customize, 'footer_menu_color', 'footer_copyright_settings', 'Footer Menu Color', '#c0c0c0');

//theme Footer menu hover Color
addColorPalatOption($wp_customize, 'footer_menuhover_color', 'footer_copyright_settings', 'Footer Menu Hover Color', '#ffffff');
addColorPalatOption($wp_customize, 'footercompletebordess_color', 'footer_copyright_settings', 'Footer Menu Border Color', '#343434');

//theme Footer social Color
addColorPalatOption($wp_customize, 'footer_social_color', 'footer_copyright_settings', 'Footer Social Color', '#ffffff');
//theme Footer social Hover Color
addColorPalatOption($wp_customize, 'footer_socialhover_color', 'footer_copyright_settings', 'Footer Social Hover Color', '#7c52fb');
//theme Footer table text Color
addColorPalatOption($wp_customize, 'footer_tabletext_color', 'footer_copyright_settings', 'Footer Table Text Color', '#ababab');
//theme Footer table border Color
addColorPalatOption($wp_customize, 'footer_tableborder_color', 'footer_copyright_settings', 'Footer Table Border Color', '#343434');
   
addColorPalatOption($wp_customize, 'footer_formlabeltxt_color', 'footer_copyright_settings', 'Footer Form & Calender label Text Color', '#ffffff');
 
//theme Footer form Color
addColorPalatOption($wp_customize, 'footer_form_color', 'footer_copyright_settings', 'Footer Form Text & Placeholder Text Color', '#ababab');

//theme Footer form border Color
addColorPalatOption($wp_customize, 'footer_formborder_color', 'footer_copyright_settings', 'Footer Form text field & Calender background Color', '#fff');

//theme Footer form button Color 
addColorPalatOption($wp_customize, 'footer_formbtn_color', 'footer_copyright_settings', 'Footer Form Button Color', '#ffffff');
addColorPalatOption($wp_customize, 'footer_formbtnhvrss_color', 'footer_copyright_settings', 'Footer Form Button Hover Color', '#ffffff');

//theme Footer Form Button Background Color
addColorPalatOption($wp_customize, 'footer_formbtnbg_color', 'footer_copyright_settings', 'Footer Form Button Background Color', '#7c52fb');
addColorPalatOption($wp_customize, 'footer_formbtnbghvrss_color', 'footer_copyright_settings', 'Footer Form Button Background Hover Color', '#f8b739');

addColorPalatOption($wp_customize, 'footer_menudate_color', 'footer_copyright_settings', 'Posts & Calender active Date Text Color', '#8b8b8b');
addColorPalatOption($wp_customize, 'footer_calendertxtc_color', 'footer_copyright_settings', 'Calender Day Text Color', '#ffffff');
addColorPalatOption($wp_customize, 'footer_calendertxtcbgssc_color', 'footer_copyright_settings', 'Calender date Text background Color', '#121212');




lzCustomLable($wp_customize, 'footerpaddingbottom_lbl', 'footer_copyright_settings', 'Set Padding For Bottom Footer:');

$wp_customize->add_setting(
    'sec_BottomFooterTpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '40px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'sec_BottomFooterTpadding',
    array(
        'settings'      => 'sec_BottomFooterTpadding',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'sec_BottomFooterBpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '100px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'sec_BottomFooterBpadding',
    array(
        'settings'      => 'sec_BottomFooterBpadding',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'sec_BottomFooterLpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'sec_BottomFooterLpadding',
    array(
        'settings'      => 'sec_BottomFooterLpadding',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Left Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'sec_BottomFooterRpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'sec_BottomFooterRpadding',
    array(
        'settings'      => 'sec_BottomFooterRpadding',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Right Padding', 'Luzuk' )
    )
);



lzCustomLable($wp_customize, 'footercopyr_lbl', 'footer_copyright_settings', 'Copyright Text & Its Colors:');

$wp_customize->add_setting(
	'lz_fitness_footer_copyrighttext',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Copyright © 2020 Business Blog', 'Luzuk Premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_footer_copyrighttext',
	array(
		'settings'      => 'lz_fitness_footer_copyrighttext',
		'section'       => 'footer_copyright_settings',
		'type'          => 'text',
		'label'         => __( 'Footer Copyright Text', 'Luzuk Premium' )
	)
);


addColorPalatOption($wp_customize, 'footer_copyrighttext_color', 'footer_copyright_settings', 'Copyright Footer Text Color', '#fff');
addColorPalatOption($wp_customize, 'footer_copyrighttextbackbgss_color', 'footer_copyright_settings', 'Copyright Footer Border Color', '#ffffff');

//SHOP PAGE SIDEBAR SETTINGS
$wp_customize->add_section(
	'lz_fitness_shopsidebar_settings',
	array(
		'title' => __( 'Shop Page Sidebar Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

   $wp_customize->add_setting('luzuk_premium_shoppage_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'luzuk_premium_shoppage_section_lbl',
        array(
            'settings'      => 'luzuk_premium_shoppage_section_lbl',
            'section'       => 'lz_fitness_shopsidebar_settings',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);


$wp_customize->add_section(
	'innerpageshortcode_page_settings',
	array(
		'title' => __( 'Color Setting For Shortcode Pages', 'Luzuk' ),
		'panel' => 'lz_fitness_general_panel',
	)
);


    $wp_customize->add_setting('luzuk_premium_colorsetting_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'luzuk_premium_colorsetting_section_lbl',
        array(
            'settings'      => 'luzuk_premium_colorsetting_section_lbl',
            'section'       => 'innerpageshortcode_page_settings',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);


$wp_customize->add_section(
	'lz_fitness_innerpagefont_settings',
	array(
		'title' => __( 'Inner Page Fonts Settings', 'Luzuk' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

   $wp_customize->add_setting('luzuk_premium_innerpage_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'luzuk_premium_innerpage_section_lbl',
        array(
            'settings'      => 'luzuk_premium_innerpage_section_lbl',
            'section'       => 'lz_fitness_innerpagefont_settings',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);
